define('jls/html/Edit', ['jls/lang/Class', 'jls/html/HtmlElement'], function (Class, HtmlElement) {

var Edit;
Edit = Class.create(HtmlElement,
{
    onCreate : function($super) {
        this.setAttribute('htmlTagName', 'input');
        $super();
        this.getHtmlElement().setAttribute('type', this.getAttribute('type') || 'text');
    },
    getText : function() {
        return this.getHtmlElement().value;
    },
    setText : function(value) {
        this.getHtmlElement().value = this.getResourceLabel(value);
        return this;
    }
});


return Edit;
});
